org.eclipse.jface.text

## Interface IInformationControlExtension2

    public interface IInformationControlExtension2

Extension interface for `IInformationControl`.

Replaces the concept of textual information to be displayed with the more general concept of an input of the information control. Text to be displayed set with `setInformation(String)` is ignored.

Since:
  2.1
See Also:
  `IInformationControl`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `setInput(Object input)` Sets the input to be presented in this information control.

### Method Detail

#### setInput

    void setInput(Object input)

Sets the input to be presented in this information control. The concrete contract the input object is expected to adhere is defined by the implementer of this interface.

Parameters:
  `input` - the object to be used as input for this control